KJS(1)

NAME
kjs - Intepréteur compatible ECMAScript de KDE

SYNOPSIS

kjs [[--help] | [-help] | [-h]] [[-e déclaration]] [script]

DESCRIPTION

kjs est le moteur ECMAScript/JavaScript de KDE.

OPTIONS DE LAPPLICATION

--help,-help,-h
    Affiche l'aide de l'utilisation de kjscmd.

-e déclaration
    Exécute la décalration et quitte. Par exemple :

        kjs -e "print('hello world')"

script
    Exécute les déclarations contenues dans le fichier script.

USAGE

kjs fichier, comme beaucoup d'autres interpréteurs, lorsqu'appelé sans paramètres utilise un éditeur de lignes pour la saisie de déclarations, affichant l'invite de commande

    JS
    >

Pour quitter l'éditeur de ligne saisissez quit() ou appuyez sur Ctrl+D.

VOIR AUSSI

kjs(1)

BOGUES

Il y a probablement un tas de bogues. Utilisez bugs.kde.org[1] pour les signaler.

AUTHOR

Harri Porten <porten@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org